<?php
/*****************************************************************************
FozzyMail : Web based mail client created by Matthieu Fron
Copyright (C) 2003  Matthieu Fron

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

web site : http://fozzymail.mferon.com
web contact : fozzymail@mferon.com
******************************************************************************/
include("fozzyconfig.php");
include("fozzyfuncts.php");
include("fozzyconts.php");
$fg_col="";
$bg_col="";
Session_name("FOZZYMAIL");
Session_start();
if (( Session_is_registered( Session_Id() . "_ok" ) == false ) ||
	( !Session_is_registered("sess_valide") ) ||
	( $sess_valide != true ))
{
	die("<META HTTP-EQUIV=\"Refresh\" content=\"0;URL=index.php?err=2\">");
}
$udir = $sess_udir;
Session_write_close();
setlocale (LC_TIME, "fr");
$contact=new FozzyMail_contacts($udir);
$config=new FozzyMail_config($udir,FOZZY_CONF);
$bg_col = $config->bg_col;
$fg_col = $config->fg_col;
unset($config);
if ( isset($save) )
{
	if ( trim($nom) == "" ) $nom = $adr;
	$nom = stripslashes($nom);
	if ( trim($adr) == "" )
	{
		$messg = "Erreur : l'adresse email est obligatoire.";
	}
	else
	{
		if ( isset( $oldadr ) )
		{
			$contact->maj_contact($oldadr,$adr,$nom);
			$messg = "Le contact $adr  t actualis.";
		}
		else
		{
			$contact->set_contact($adr,$nom);	
			$messg = "Le contact $adr  t ajout  la liste des contacts.";
		}
		$contact->save_contacts();
	}
}
else
{
	$nom = stripslashes(urldecode( $nom ));
	$cont_exist = false;
	if ( $contact->search($adr) )
	{
		$cont_exist = true;
		$cont_data = $contact->get_contact($adr);
	}
}
?>
<html>
<head>
<style>
.A_Unseen
{
	color:#000000;
	font-Family:Arial;
	text-Decoration:underline;
}
.A_seen
{
	color:<?=$bg_col?>;
	font-Family:Arial;
	text-Decoration:underline;
}
</style>
<SCRIPT LANGUAGE=javascript SRC="mfe_calque.js"></SCRIPT>
<SCRIPT LANGUAGE=javascript SRC="mfe_infobulle.js"></SCRIPT>
</head>
<body bgcolor="#<?=$bg_col?>">
<?	if (( $messg != "" ) && (!ereg("^Erreur",$messg))) {?>
<p align=center><font face=Arial size=2><?=$messg?></font></p>
<p align=center><a href="#" onclick="window.close();" class=A_Unseen>Fermer cette fentre</a></p>
<?	} else {?>
<form method=post action="choixcontact.php">
<input type=hidden name=save id=save value=1>
<table width=100% border=0 cellpadding=1 cellspacing=1>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=2><font face=Arial size=3>Ajouter un contact  mon carnet d'adresse</font></td>
</tr>
<? 	if ( $cont_exist ) { ?>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=2>
		<font face=Arial size=1>Ce contact existe dj</font>
	</td>
</tr>
<?	} ?>
<? 	if ( $messg ) { ?>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=2>
		<font face=Arial size=1><?=$messg?></font>
	</td>
</tr>
<?	} ?>
<tr>
	<td bgcolor="#<?=$fg_col?>">
		<font face=Arial size=1>Nom du contact (facultatif) </font>
	</td>
	<td bgcolor="#<?=$fg_col?>">
<? 	if ( $cont_exist ) { ?>
		<font face=Arial size=1><?=$cont_data["nom"]?></font><br>
<?	} ?>
		<input type=text name=nom id=nom value="<?=$nom?>" size=32>
	</td>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>">
		<font face=Arial size=1>Email </font>
	</td>
	<td bgcolor="#<?=$fg_col?>">
<? 	if ( $cont_exist ) { ?>
		<input type=hidden name=oldadr id=oldadr value="<?=$cont_data["adr"]?>">
		<font face=Arial size=1><?=$cont_data["adr"]?></font><br>
<?	} ?>
		<input type=text name=adr id=adr value="<?=$adr?>" size=32>
	</td>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=2><center>
<? 	if ( $cont_exist ) { ?>
		<font face=Arial size=2><a href="#" onclick="document.forms[0].submit();" class=A_Unseen onmouseover="Info_Bulle('Mettre  jour ce contact');return false;">Mettre  jour</a></font>  
<?	} 
	else
	{ ?>
		<font face=Arial size=2><a href="#" onclick="document.forms[0].submit();" class=A_Unseen onmouseover="Info_Bulle('Ajouter  mes contacts');return false;">Ajouter</a></font>
<?	} ?>
		&nbsp;&nbsp;-&nbsp;&nbsp;<font face=Arial size=2><a href="#" onclick="window.close();" class=A_Unseen onmouseover="Info_Bulle('Fermer la fentre');return false;">Annuler</a></font>
		</center>
	</td>
</tr>
</table>
</form>
<? } ?>
</body>
</html>