<?php
/*****************************************************************************
FozzyMail : Web based mail client created by Matthieu Fron
Copyright (C) 2003  Matthieu Fron

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

web site : http://fozzymail.mferon.com
web contact : fozzymail@mferon.com
******************************************************************************/
include("fozzyconfig.php");
include("fozzyfuncts.php");
$bg_col="";
$fg_col="";
Session_name("FOZZYMAIL");
Session_start();
if ( Session_is_registered( Session_Id() . "_ok" ) == false )
{
	die("<META HTTP-EQUIV=\"Refresh\" content=\"0;URL=index.php?err=2\">");
}
$ErrMess = $Err;
if ( isset($mainbox) )
{
	while( list($key,$val) = each($HTTP_POST_VARS) )
	{
		if ( ereg("^main(.*)",$key,$regs) )
		{
			$mailboxes[0][$regs[1]] = $val;
			
		}
		else if ( ereg("^add(.*)_([0-9]{1,})",$key,$regs) )
		{
			$mailboxes[$regs[2]][$regs[1]] = $val;
		}
		else
		{
			$makconfig[$key] = $val;
		}
	}
	$mlbx = count($mailboxes);
	for ( $i=0; $i<$mlbx; $i++ )
	{
		if ( $mailboxes[$i]["box"] == "" ) 
		{
			if ( $i == 0 )
				$ErrMess = "L'email du compte principal est obligatoire.";
			else
				$ErrMess = "Un compte email est incorrect.";
			break;
		}
		if ( $mailboxes[$i]["pass"] == "" )
		{
			if ( $i == 0 )
			{
				$ErrMess = "Le mot de passe du compte principal est obligatoire.";
				break;
			}
			else $mailboxes[$i]["pass"] = $mailboxes[0]["pass"];
		}
		if ( $mailboxes[$i]["pop"] == "" )
		{
			if ( $i == 0 )
			{
				$ErrMess = "Le serveur pop du compte principal est obligatoire.";
				break;
			}
			else $mailboxes[$i]["pop"] = $mailboxes[0]["pop"];
		}
		if (( $mailboxes[$i]["pport"] == "" ) || ( $mailboxes[$i]["pport"] <= 0 ))
		{
			$mailboxes[$i]["pport"] = 110;
		}
		if ( $mailboxes[$i]["smtp"] == "" )
		{
			if ( $i == 0 )
			{
				$ErrMess = "Le serveur smtp du compte principal est obligatoire.";
				break;
			}
			else $mailboxes[$i]["smtp"] = $mailboxes[0]["smtp"];
		}
		if (( $mailboxes[$i]["sport"] == "" ) || ( $mailboxes[$i]["sport"] <= 0 ))
		{
			$mailboxes[$i]["sport"] = 25;
		}
	}
	if ( $ErrMess == "" )
	{
		if ( !file_exists("users/.") )
		{
			if ( !@mkdir("users",0700) )
			{
				die("impossible de crer le rpertoire utilisateur. Veuillez contactez l'administrateur de votre serveur");
			}
			@copy("index.usr","users/index.htm");
		}
		$tmp = str_replace("@","_at_",$mailboxes[0]["box"]);
		$tmp = str_replace(".","_",$tmp);
		$user_directory = "users/".$tmp."/";
		if ( !file_exists($user_directory.".") )
		{
			if ( !@mkdir($user_directory,0700) )
			{
				die("impossible de crer votre compte utilisateur. Veuillez contactez l'administrateur de votre serveur");
			}
			else
			{
				@mkdir($user_directory."tmp",0700);
				@mkdir($user_directory."sent",0700);
				@mkdir($user_directory."diff",0700);
				@mkdir($user_directory."arch",0700);
				@mkdir($user_directory."supp",0700);
				@copy("index.mel",$user_directory . "index.htm");
			}
		}
		if ( ($fp = fopen( $user_directory . "inbox.php","w" )) != false )
		{
			if ( fwrite($fp,"[CONFIG]\r\n") == false ) die("Erreur d'criture de votre configuration. Veuillez contactez l'administrateur de votre serveur");
			while( list($key,$val) = each($makconfig))
			{
				fwrite($fp,$key."=".$val."\r\n");
			}
			if ( fwrite($fp,"[MAILBOXES]\r\n") == false ) die("Erreur d'criture de votre configuration. Veuillez contactez l'administrateur de votre serveur");
			while( list($key,$mbl) = each($mailboxes))
			{
				while( list($key,$val) = each($mbl))
				{
					if ($key=="user") $val=stripslashes($val);
					fwrite($fp,$key."=".$val."\r\n");
				}
			}
			fclose($fp);
			if ( Session_is_registered("CreateConfig") ) Session_unregister("CreateConfig");
			if ( !Session_is_registered("sess_udir") ) Session_register("sess_udir");
			if ( !Session_is_registered("sess_valide") ) Session_register("sess_valide");
			$sess_udir = $user_directory;
			$sess_valide = true;
			Session_write_close();
			header("Location: fozzymail.php");
			exit();
		}
		else
			die("impossible de crer le fichier de gestion du compte principal. Veuillez contactez l'administrateur de votre serveur");
	}
	if ( ereg("[^a-eA-E0-9]",$fg_color.$bg_color) )
	{
		$config = new FozzyMail_config( "" );
		$bg_col = $config->bg_col;
		$fg_col = $config->fg_col;
	}
	else
	{
		$bg_col = $bg_color;
		$fg_col = $fg_color;
	}
}
else if ( Session_is_registered("CreateConfig") )
{
	$config = new FozzyMail_config( "" );
	$bg_col = $config->bg_col;
	$fg_col = $config->fg_col;
	$data = split("/",$CreateConfig);
	if (( $data[0] != "" ) && ( $data[1] != "" ))
	{
		$mailboxes = Array( 0=>Array("box"=>$data[0],"pass"=>$data[1]));
	}
	else
	{
		die("La variable de session ne contient pas les informations ncessaires  la cration. Fermez votre navigateur et recommencez.");
	}
}
else
{
	$config = new FozzyMail_config( $sess_udir );
	$bg_col = $config->bg_col;
	$fg_col = $config->fg_col;
	if ( $config->affimg ) $affimg_chk = "checked";
	if ( $config->keepsent ) $keepsent_chk = "checked";
	if ( $config->supp ) $supp_chk = "checked";
	$mailboxes = $config->mailboxes;
}
?>
<html>
<head>
<style>
.A_Unseen
{
	color:#000000;
	font-Family:Arial;
	text-Decoration:underline;
}
.A_seen
{
	color:<?=$bg_col?>;
	font-Family:Arial;
	text-Decoration:underline;
}
</style>
<script language=javascript>
function select(obj)
{
	var msg;
	var reg;
	if ( obj.tagName == "A" )
	{
		msg = obj.id.split("_");
		reg = new RegExp("-"+msg[1]+"-","gi");
		if ( document.all["list_to_del"].value.search(reg)>=0 )
		{
			document.all["list_to_del"].value=document.all["list_to_del"].value.replace(reg,"");
			obj.innerHTML = "<img src='vide.png' width=14 height=14 border=0>";
		}
		else
		{
			document.all["list_to_del"].value += "-"+msg[1]+"-";
			obj.innerHTML = "<img src='sel.png' border=0>";
		}
	}
}
var mailboxcnt=<?=count($mailboxes);?>;	
function addmailbox( obj )
{
	var source;
	tbl = obj.parentElement.parentElement.parentElement;
	nwtr=tbl.insertRow(obj.parentElement.parentElement.rowIndex);
	nwtd0=nwtr.insertCell();
	nwtd0.bgcolor="#<?=$bg_col?>";
	source  = "		<input type=hidden name=addid_"+mailboxcnt+" id=addid_"+mailboxcnt+" value="+mailboxcnt+">";
	source += "		<table width=100% cellpadding=1 cellspacing=1>";
	source += "			<tr>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><font face=Arial size=2>Nom d'utilisateur</font></td>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><input type=text name=adduser_"+mailboxcnt+" id=adduser_"+mailboxcnt+" size=40 value=\""+document.forms[0].mainuser.value+"\"></td>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><font face=Arial size=1>Le nom que vous souhaitez voire apparatre dans le champ expditeur si diffrent du principal (par dfaut, ce sera l'email)</font></td>";
	source += "			</tr>";
	source += "			<tr>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><font face=Arial size=2>Email</font></td>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><input type=text name=addbox_"+mailboxcnt+" id=addbox_"+mailboxcnt+" size=40></td>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><font face=Arial size=1>Le compte mail que vous voulez grer sur Fozzymail</font></td>";
	source += "			</tr>";
	source += "			<tr>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><font face=Arial size=2>Mot de passe</font></td>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><input type=password name=addpass_"+mailboxcnt+" id=addpass_"+mailboxcnt+" size=12 value=\""+document.forms[0].mainpass.value+"\"></td>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><font face=Arial size=1>Le mot de passe de ce compte mail si il est diffrent du principal</font></td>";
	source += "			</tr>";
	source += "			<tr>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><font face=Arial size=2>Envoi du courrier</font></td>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><input type=text name=addsmtp_"+mailboxcnt+" id=addsmtp_"+mailboxcnt+" size=40 value=\""+document.forms[0].mainsmtp.value+"\"><br>&nbsp;&nbsp;&nbsp;Port : <input type=text name=addsport_"+mailboxcnt+" id=addsport_"+mailboxcnt+" size=3 maxlength=3 value=\""+document.forms[0].mainsport.value+"\"></td>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><font face=Arial size=1>coordonnes du serveur par lequel vous envoyez le courrier si diffrentes du principal</font></td>";
	source += "			</tr>";
	source += "			<tr>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><font face=Arial size=2>Rcupration du courrier</font></td>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><input type=text name=addpop_"+mailboxcnt+" id=addpop_"+mailboxcnt+" size=40 value=\""+document.forms[0].mainpop.value+"\"><br>&nbsp;&nbsp;&nbsp;Port : <input type=text name=addpport_"+mailboxcnt+" id=addpport_"+mailboxcnt+" size=3 maxlength=3 value=\""+document.forms[0].mainpport.value+"\"></td>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><font face=Arial size=1>coordonnes du serveur sur lequel vous rcuprez le courrier si diffrentes du principal</font></td>";
	source += "			</tr>";
	source += "			<tr>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><font face=Arial size=2>Dsactiver ce compte</font></td>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><input type=checkbox name=addactiv_"+mailboxcnt+" id=addactiv_"+mailboxcnt+" value=1 ></td>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><font face=Arial size=1>Ne plus utiliser ce compte mais le conserver en l'tat</font></td>";
	source += "			</tr>";
	source += "			<tr>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><font face=Arial size=2>Supprimer ce compte</font></td>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><input type=button value=\"Supprimer\" onclick=\"Supprimer(this);\"></td>";
	source += "				<td bgcolor=\"#<?=$fg_col?>\"><font face=Arial size=1>Supprime dans Fozzymail toutes les donnes relatives  ce compte</font></td>";
	source += "			</tr>";
	source += "		</table>";
	nwtd0.innerHTML=source;
	mailboxcnt++;
}
function Supprimer(obj)
{
	obj.parentElement.parentElement.parentElement.parentElement.parentElement.removeNode(true);
}
</script>
<SCRIPT LANGUAGE=javascript SRC="mfe_calque.js"></SCRIPT>
<SCRIPT LANGUAGE=javascript SRC="mfe_infobulle.js"></SCRIPT>
</head>
<body bgcolor="#<?=$bg_col?>">
<form name=fconfig id=fconfig action="fozzyconf.php" method=post>
<table width=100% border=0 cellpadding=1 cellspacing=1>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=7>
		<font face=Arial size=1>&nbsp;<a class=A_Unseen href="index.php">Quitter</a>
		&nbsp;-&nbsp;<a class=A_Unseen href="fozzymail.php" onmouseover="Info_Bulle('Relever mes messages');return false;">Messages</a>
		&nbsp;-&nbsp;<a class=A_Unseen href="fozzycontacts.php" onmouseover="Info_Bulle('Grer mes contacts');return false;">Carnet d'adresse</a></font>
	</td>
</tr>
<? if ( $ErrMess != "" ) {?>
<tr>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2 color=red><b><?=$ErrMess?></b></font></td>
</tr>
<? } ?>
<tr>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=3><b>Configuration de votre compte</b></font>&nbsp;:&nbsp;&nbsp;
	<font face=Arial size=2><a class=A_Unseen href="#" onclick="document.forms[0].submit()">Enregistrer ma configuration</a> |
	<a class=A_Unseen href="#" onclick="if ( confirm('Toutes les informations relatives  ce compte (contacts, archives, pices jointes...) vont tre dtruites !\r\nEtes-vous srs de vouloir tout supprimer ?') ) window.location='fozzydelete.php';return false;">Supprimer mon compte</a></font>
	</td>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2><b>Compte principal</b></font></td>
</tr>
<tr>
	<td bgcolor="#<?=$bg_col?>">
		<input type=hidden name=mainid id=mainid value=0>
		<table width=100% cellpadding=1 cellspacing=1>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Nom d'utilisateur</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=text name=mainuser id=mainuser size=40 value="<?=$mailboxes[0]["user"]?>"></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>Le nom que vous souhaitez voire apparatre dans le champ expditeur (par dfaut, ce sera l'email)</font></td>
			</tr>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Email</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=text name=mainbox id=mainbox size=40 value="<?=$mailboxes[0]["box"]?>"></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>Le compte mail qui vous permet de vous connecter sur Fozzymail</font></td>
			</tr>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Mot de passe</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=password name=mainpass id=mainpass size=12 value="<?=$mailboxes[0]["pass"]?>"></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>Le mot de passe du compte mail principal chez votre fournisseur de mail (mot de passe du compte pop)</font></td>
			</tr>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Envoi du courrier</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=text name=mainsmtp id=mainsmtp size=40 value="<?=$mailboxes[0]["smtp"]?>"><br>&nbsp;&nbsp;&nbsp;Port : <input type=text name=mainsport id=mainsport size=3 maxlength=3 value="<?if ( $mailboxes[0]["sport"] > 0 ) echo $mailboxes[0]["sport"]; else echo "25";?>"></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>coordonnes du serveur par lequel vous envoyez le courrier (exemple:smtp.xxx.xxx) (Si vous ignorez la valeur  donner au port, essayez celle par dfaut ou contactez votre fournisseur de courrier)</font></td>
			</tr>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Rcupration du courrier</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=text name=mainpop id=mainpop size=40 value="<?=$mailboxes[0]["pop"]?>"><br>&nbsp;&nbsp;&nbsp;Port : <input type=text name=mainpport id=mainpport size=3 maxlength=3 value="<?if ( $mailboxes[0]["pport"] > 0 ) echo $mailboxes[0]["pport"]; else echo "110";?>"></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>coordonnes du serveur sur lequel vous rcuprez le courrier (exemple:pop.xxx.xxx) (Si vous ignorez la valeur  donner au port, essayez celle par dfaut ou contactez votre fournisseur de courrier)</font></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2><b>Options</b></font></td>
</tr>
<tr>
	<td bgcolor="#<?=$bg_col?>">
		<table width=100% cellpadding=1 cellspacing=1>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Couleur d'arrire-plan</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=text name="bg_color" id="bg_color" size=6 maxlength=6 value="<?=$bg_col?>"></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>&nbsp;</font></td>
			</tr>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Couleur d'avant-plan</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=text name="fg_color" id="fg_color" size=6 maxlength=6 value="<?=$fg_col?>"></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>&nbsp;</font></td>
			</tr>
<!--			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Popup d'avertissement</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=checkbox name="avertir" id="avertir" value="A"></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>Dclenche une boite d'alerte quand de nouveaux mails sont chargs</font></td>
			</tr>-->
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Afficher les images</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=checkbox name="affimg" id="affimg" value="1" <?=$affimg_chk?>></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>Quand une pice jointe est une image, l'afficher sous le mail</font></td>
			</tr>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Garder une copie des envois</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=checkbox name="keepsent" id="keepsent" value="1" <?=$keepsent_chk?>></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>Garder une copie des mails envoys dans un rpertoire</font></td>
			</tr>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Garder une copie des suppressions</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=checkbox name="supp" id="supp" value="1" <?=$supp_chk?>></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>Garder une copie des mails supprims dans un rpertoire</font></td>
			</tr>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Trier</font></td>
				<td bgcolor="#<?=$fg_col?>">
					<select name=tri_field id=tri_field>
						<option value="date" <?if ( $config->tri["mode"]=="date") echo "selected";?>>Date</option>
						<option value="size" <?if ( $config->tri["mode"]=="size") echo "selected";?>>Taille</option>
						<option value="subj" <?if ( $config->tri["mode"]=="subj") echo "selected";?>>Objet</option>
						<option value="expe" <?if ( $config->tri["mode"]=="expe") echo "selected";?>>Expditeur</option>
					</select><br>&nbsp;&nbsp;&nbsp;Ordre : Descendant <input type=radio name=tri_ord id=tri_ord value="desc" <?if ( $config->tri["sens"]=="desc") echo "checked";?>> ou Ascendant <input type=radio name=tri_ord id=tri_ord value="asc" <?if ( $config->tri["sens"]=="asc") echo "checked";?>>
				</td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>Type et ordre de tri des emails  l'affichage</font></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2><b>Autres comptes</b></font></td>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=6><font face=Arial size=1>Attention, en raison de la limitation des temps d'excution de script sur les serveurs, cette fonctionnalit peut ralentir le temps de chargement de faon notable</font></td>
</tr>
<?
$mx = count($mailboxes);	
for ($i=1;$i<$mx;$i++)
{
?>
<tr>
	<td bgcolor="#<?=$bg_col?>">
		<input type=hidden name=addid_<?=$i?> id=addid_<?=$i?> value=<?=$i?>>
		<table width=100% cellpadding=1 cellspacing=1>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Nom d'utilisateur</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=text name=adduser_<?=$i?> id=adduser_<?=$i?> size=40 value="<?=$mailboxes[$i]["user"]?>"></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>Le nom que vous souhaitez voire apparatre dans le champ expditeur (par dfaut, ce sera l'email)</font></td>
			</tr>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Email</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=text name=addbox_<?=$i?> id=addbox_<?=$i?> size=40 value="<?=$mailboxes[$i]["box"]?>"></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>Le compte mail qui vous permet de vous connecter sur Fozzymail</font></td>
			</tr>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Mot de passe</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=password name=addpass_<?=$i?> id=addpass_<?=$i?> size=12 value="<?=$mailboxes[$i]["pass"]?>"></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>Le mot de passe du compte mail principal chez votre fournisseur de mail (mot de passe du compte pop)</font></td>
			</tr>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Envoi du courrier</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=text name=addsmtp_<?=$i?> id=addsmtp_<?=$i?> size=40 value="<?=$mailboxes[$i]["smtp"]?>"><br>&nbsp;&nbsp;&nbsp;Port : <input type=text name=addsport_<?=$i?> id=addsport_<?=$i?> size=3 maxlength=3 value="<?=$mailboxes[$i]["sport"]?>"></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>coordonnes du serveur par lequel vous envoyez le courrier (exemple:smtp.xxx.xxx)</font></td>
			</tr>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Rcupration du courrier</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=text name=addpop_<?=$i?> id=addpop_<?=$i?> size=40 value="<?=$mailboxes[$i]["pop"]?>"><br>&nbsp;&nbsp;&nbsp;Port : <input type=text name=addpport_<?=$i?> id=addpport_<?=$i?> size=3 maxlength=3 value="<?=$mailboxes[$i]["pport"]?>"></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>coordonnes du serveur sur lequel vous rcuprez le courrier (exemple:pop.xxx.xxx)</font></td>
			</tr>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Dsactiver ce compte</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=checkbox name=addactiv_<?=$i?> id=addactiv_<?=$i?> value=1 <?if ($mailboxes[$i]["activ"]==1) echo "checked";?>></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>Ne plus utiliser ce compte mais le conserver en l'tat</font></td>
			</tr>
			<tr>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2>Supprimer ce compte</font></td>
				<td bgcolor="#<?=$fg_col?>"><input type=button value="Supprimer" onclick="Supprimer(this);"></td>
				<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>Supprime dans Fozzymail toutes les donnes relatives  ce compte</font></td>
			</tr>
		</table>
	</td>
</tr>
<? } ?>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=6><input type=button value="Ajouter un compte" onclick="addmailbox(this);"></td>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=2><a class=A_Unseen href="#" onclick="document.forms[0].submit()">Enregistrer ma configuration</a> |
	<a class=A_Unseen href="#" onclick="if ( confirm('Toutes les informations relatives  ce compte (contacts, archives, pices jointes...) vont tre dtruites !\r\nEtes-vous srs de vouloir tout supprimer ?') ) window.location='fozzydelete.php';return false;">Supprimer mon compte</a></font>
	</td>
</tr>
</table>
</form>
</body>
</html>