<?php
/*****************************************************************************
FozzyMail : Web based mail client created by Matthieu Fron
Copyright (C) 2003  Matthieu Fron

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

web site : http://fozzymail.mferon.com
web contact : fozzymail@mferon.com
******************************************************************************/
function tri_adr($a,$b)
{
	$ati = $a["nom"];
	$bti = $b["nom"];
	
	return(strcmp( $ati, $bti ));
}

class FozzyMail_contacts
{
	var $nb;
	var $udir;
	var $liste;
	var $match;
	
	function FozzyMail_contacts($ud)
	{
		$this->nb=0;
		$this->match=-1;
		$this->udir = $ud;
		$this->liste=Array();
		if ( ($fp=@fopen($ud."contacts.php","r")) != false )
		{
			while ( !feof($fp) )
			{
				$rep = fgets($fp,1024);
				if ( ereg("^([^ ]*)[ ]{1}([^\r\n]*)",$rep,$regs) )
				{
					$this->liste[] = Array( "nom" => $regs[2], "adr" => $regs[1] );
					$this->nb++;
				}
			}
			fclose($fp);
		}
	}
	function save_contacts()
	{
		if ( ($fp=fopen($this->udir."contacts.php","w")) == false )
		{
			echo "Erreur de cration/ouverture du fichier contact";
		}
		else
		{
			usort( $this->liste, "tri_adr" );
			for ( $i=0 ; $i<$this->nb ; $i++ )
			{
				fwrite( $fp, $this->liste[$i]["adr"]." ".$this->liste[$i]["nom"]."\r\n" );
			}
			fclose($fp);
		}
	}
	function del_allcontacts()
	{
		fclose(fopen($this->udir."contacts.php","w"));
		$this->liste=null;
		$this->liste=Array();
		$this->nb=0;
	}
	function search($adr)
	{
		$ret = false;
		$this->match=-1;
		for ( $i=0 ; $i<$this->nb ; $i++ )
		{
			if ( $this->liste[$i]["adr"] == $adr )
			{
				$ret = true;
				$this->match = $i;
				break;
			}
		}
		return( $ret );
	}
	function maj_contact($oa,$a,$n)
	{
		$this->liste[$this->match]["adr"] = $a;
		$this->liste[$this->match]["nom"] = $n;
		$this->match=-1;
	}
	function set_contact($a,$n)
	{
		$this->liste[]=Array("adr" => $a,"nom" => $n);
		$this->nb++;
		$this->match=-1;
	}
	function get_contact($a)
	{
		$ret=false;
		if ( $this->search($a) )
		{
			$ret = $this->liste[$this->match];
		}
		$this->match=-1;
		return($ret);
	}
	function get_contact_str($liste)
	{
		$ret="";
		$tb=preg_split("/;/",stripslashes($liste));
		if ( is_array($tb) )
		{
			foreach($tb as $d)
			{
				$this->match=-1;
				if ( ereg("[a-z]+",$d) )
				{
					for ( $i=0 ; $i<$this->nb ; $i++ )
					{
						if ( strtolower(str_replace(" ","",$this->liste[$i]["nom"])) == strtolower(str_replace(" ","",$d)) )
						{
							$this->match = $i;
							break;
						}
					}
					if ( $this->match==-1 )
						$chn = "<".str_replace(" ","",$d).">";
					else
						$chn = "\"" . $this->liste[$this->match]["nom"] . "\" <" . $this->liste[$this->match]["adr"] . ">";
					if ( $ret != "" ) $ret .= ",\r\n\t";
					$ret .= $chn;
				}
			}
		}
		return($ret);
	}
}
?>